﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace StubbedContextLib.Migrations
{
    /// <inheritdoc />
    public partial class migr5 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "IsValid",
                table: "question",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.CreateTable(
                name: "admins",
                columns: table => new
                {
                    IdUsers = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    UserId = table.Column<int>(type: "int", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_admins", x => x.IdUsers);
                    table.ForeignKey(
                        name: "FK_admins_users_UserId",
                        column: x => x.UserId,
                        principalTable: "users",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.UpdateData(
                table: "question",
                keyColumn: "Id",
                keyValue: 1,
                column: "IsValid",
                value: true);

            migrationBuilder.UpdateData(
                table: "question",
                keyColumn: "Id",
                keyValue: 2,
                column: "IsValid",
                value: false);

            migrationBuilder.UpdateData(
                table: "question",
                keyColumn: "Id",
                keyValue: 3,
                column: "IsValid",
                value: true);

            migrationBuilder.UpdateData(
                table: "question",
                keyColumn: "Id",
                keyValue: 4,
                column: "IsValid",
                value: true);

            migrationBuilder.UpdateData(
                table: "question",
                keyColumn: "Id",
                keyValue: 5,
                column: "IsValid",
                value: true);

            migrationBuilder.UpdateData(
                table: "question",
                keyColumn: "Id",
                keyValue: 6,
                column: "IsValid",
                value: true);

            migrationBuilder.UpdateData(
                table: "question",
                keyColumn: "Id",
                keyValue: 7,
                column: "IsValid",
                value: true);

            migrationBuilder.UpdateData(
                table: "question",
                keyColumn: "Id",
                keyValue: 8,
                column: "IsValid",
                value: true);

            migrationBuilder.UpdateData(
                table: "question",
                keyColumn: "Id",
                keyValue: 9,
                column: "IsValid",
                value: true);

            migrationBuilder.UpdateData(
                table: "question",
                keyColumn: "Id",
                keyValue: 10,
                column: "IsValid",
                value: true);

            migrationBuilder.CreateIndex(
                name: "IX_admins_UserId",
                table: "admins",
                column: "UserId");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "admins");

            migrationBuilder.DropColumn(
                name: "IsValid",
                table: "question");
        }
    }
}
